GCLOUD_COMPUTE_DISKS_RESIZE(1)

NAME

gcloud compute disks resize - resize a disk or disks

SYNOPSIS

gcloud compute disks resize DISK_NAME [DISK_NAME ...] --size SIZE [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute disks resize resizes a Google Compute Engine disk(s). Only increasing disk size is supported. Disks can be resized regardless of whether they are attached.

POSITIONAL ARGUMENTS
DISK_NAME [DISK_NAME ...]
    The names of the disks to resize.

REQUIRED FLAGS
--size SIZE
    Indicates the new size of the disks. The value must be a whole number followed by a size unit of KB for kilobyte, MB for megabyte, GB for gigabyte, or TB for terabyte. For example, 10GB will produce 10 gigabyte disks. Disk size must be a multiple of 10 GB.

OPTIONAL FLAGS
--zone ZONE
    The zone of the disks to be resized. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To resize a disk called example-disk-1 to new size 6TB, run:
    $ gcloud compute disks resize example-disk-1 --size=6TB
To resize two disks called example-disk-2 and example-disk-3 to new size 6TB, run:
    $ gcloud compute disks resize example-disk-2 example-disk-3 \
       --size=6TB
This assumes that original size of each of these disks is 6TB or less.